<%
// loginStyle.inc
// Copyright (c) 2007 - 2008 Citrix Systems, Inc. All Rights Reserved.
// Web Interface 5.0.1.29110
%>
<%
ClientInfo clientInfo = wiContext.getClientInfo();
LoginPageControl viewControl = (LoginPageControl)wiContext.getWebAbstraction().getRequestContextAttribute("viewControl");
%>
<style type="text/css" media="handheld,all">
<!--
.mainPane
{
    color: white;
    background-color: <%=wiContext.getString("SiteBgColor")%>;
    border-bottom: none;
    padding: 0;
    overflow: auto;
}

#bottomPane
{
    background-color: <%=wiContext.getString("SiteBgColor")%>;
}

.simpleMainPane
{
    border: none;
}

<%
// Mid align the login and bottom panes
%>
.mainPane,
#bottomPane
{
    text-align: center;
}

<%
// Set the left/right margins to auto so they resize correctly
%>
#feedbackArea,
#usefulPane,
#sysMessage
{
    margin: 0 auto;
}
#feedbackArea
{
    text-align: left;
}

<%
// Style inside the login box
// Add left padding so the content does not overlap the left border
%>
#welcome
{
   width: auto;
}
#welcome h4
{
    font-size: <%=wiContext.getString("FontSizeXLarge")%>;
    margin: 0;
    color: #ABABAB;
}
.titleHead,
.titleGradient,
.titleTail
{
    background: none;
    margin: 0;
    padding: 0;
    height:auto;
    width:auto;
}
.welcomeText
{
    clear: left;
    width: auto;
    text-align: left;
    padding: 5px 0 10px 0;
    margin: 0;
}

<%
// Set left padding to show the login icon
%>
.actionPane
{
    background: transparent url(../media/<%=Images.getLogonImage(wiContext)%>) no-repeat 10px 0;
    margin:0;
    padding:0;
    padding-top:6px;
    padding-left:100px;
}

<%
// Style the login form correctly
// aligning to the right and left so the
// labels match up with the input boxes
%>
.loginForm
{
    text-align: left;
}
.loginForm label
{
    text-align: right;
}
.loginForm input,
.loginForm select
{
    margin-left: 0.5em;
    text-align: left;
}
.loginEntriesDisabled
{
    background-color:#aaaaaa;
}
.loginTreeEntry
{
    color: #000000;
    background-color: #A7A7A7;
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginWideOptionWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginOptionWidth")%>;
<%}%>
}
<% // If certificate login is an option, the make sure the
   // fields are widened. These rules override those in fullStyle.inc

if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){
%>
.loginTypeOptionEntries
{
    width: <%=wiContext.getString("LoginTypeWideOptionWidth")%>;
}
.loginEntries
{
    width: <%=wiContext.getString("LoginWideOptionWidth")%>;
}
<%}%>

<%
// For aligning the login button and the SSPR link to the right
%>
.dockRight
{
    clear:both;
    float:right;
    margin:4px 0px;
}
#accountSS a:link,
#accountSS a:visited,
#accountSS a:hover
{
    text-decoration:underline;
}
#accountSS {
    height:auto;
}

.loginButtonPane a:link,
.loginButtonPane a:visited,
.loginButtonPane a:hover
{
    text-decoration:none;
}

td.loginButtonPane,
{
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginButtonPaneWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginButtonPaneWidth")%>;
<%}%>
}
#loginButtonWrapper
{
    position:relative;
    white-space:nowrap;
    margin:0px;
    padding:0px;
    border:0px;
    line-height:5ex;
    text-align:center;
    z-index: 1;
    cursor:pointer;
}
td.otcButtonPane,
{
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginButtonPaneWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginButtonPaneWidth")%>;
<%}%>
}
#otcButtonWrapper
{
    position:relative;
    white-space:nowrap;
    margin:0px;
    padding:0px;
    border:0px;
    line-height:5ex;
    text-align:center;
    z-index: 1;
    cursor:pointer;
}
<%
// Stretch background image
// z-index: -1; is only required for IE6
%>
#loginButtonBg
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    vertical-align:top;
    border:0px;
    padding:0px;
    margin:0px;
    height: 5ex;
    z-index: -1;
}
#<%=Constants.ID_LOGIN_BTN%>
{
   height:5ex;
   overflow:hidden;
   position:relative;
}
#loginButtonBg
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    vertical-align:top;
    border:0px;
    padding:0px;
    margin:0px;
    height: 5ex;
    z-index: -1;
}
#<%=Constants.ID_OTC_BTN%>
{
   height:5ex;
   overflow:hidden;
   position:relative;
}
#otcButtonBg
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    vertical-align:top;
    border:0px;
    padding:0px;
    margin:0px;
    height: 5ex;
    z-index: -1;
}
<%
// This is split into 2 parts because the rendering in IE7/Firefox2 versus
// other browsers is different. In the HTML the span (loginButtonWrapper)
// and the img (loginButtonBg) appear in a different order, therefore
// the relative placement is not the same, nor is the requirement for
// the encompassing div (div.loginButtonPane). The whole purpose of
// these ordering differences is to allow for the browser view scaling
// functions of IE/Safari/Firefox et al.
//
if ((clientInfo.isFirefox() && clientInfo.getBrowserVersionMajor() <= 2) || (clientInfo.isIE() && clientInfo.getBrowserVersionMajor() >= 7)) { %>
div.loginButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    height:5ex;
    overflow:hidden;
    text-align:center;
}
#loginButtonBg
{
    position: relative;
    top: -5ex;
}
div.otcButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    height:5ex;
    overflow:hidden;
    text-align:center;
}
#otcButtonBg
{
    position: relative;
    top: -5ex;
}

<% } else if (clientInfo.isFirefox() && clientInfo.getBrowserVersionMajor() > 2) { %>

div.loginButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    height:5ex;
}
div.otcButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    height:5ex;
}
#loginButtonBg
{
    position:relative;
    z-index: 0;
    top:-5ex;
}
#loginButtonWrapper
{
    display:block;
}
#otcButtonBg
{
    position:relative;
    z-index: 0;
    top:-5ex;
}
#otcButtonWrapper
{
    display:block;
}
<% } else { %>

div.loginButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    text-align:center;
}
div.otcButtonPane
{
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    text-align:center;
}

div.loginButtonPane,
div.otcButtonPane,
td.loginButtonPane
{
   height:5ex;
   position:relative;
   overflow:hidden;
}
#loginButtonWrapper
{
    text-align:center;
    display:block;
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    top: -5ex;
}
#otcButtonWrapper
{
    text-align:center;
    display:block;
    width: <%=wiContext.getString("ButtonWidth_Login")%>;
    top: -5ex;
}
<% } %>

<%
// Style the box to get a glow and/or blue line
%>
td.glowBoxLeft {
  width:40px
}
td.glowBoxRight {
  width:40px
}
td.glowBoxTop {
  height:40px
}
td.glowBoxFooter {
  height:40px
}
td.glowBoxMid {
  padding: 7px 15px 15px 15px;
  background-repeat: repeat-x;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneCenterMidGlow.png")%>);
}
td.glowBoxTopLeft {
  background-position:bottom right;
  background-repeat:no-repeat;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneTopLeftBorderGlow.png")%>);
}
td.glowBoxTopMid {
  background-position:bottom center;
  background-repeat:repeat-x;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneTopMidBorderGlow.png")%>);
}
td.glowBoxTopRight {
  background-position:bottom left;
  background-repeat:no-repeat;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneTopRightBorderGlow.png")%>);
}
td.glowBoxMidLeft {
  background-position:center right;
  background-repeat:repeat-y;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneCenterLeftBorderGlow.png")%>);
}
td.glowBoxMidRight {
  background-position:center left;
  background-repeat:repeat-y;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneCenterRightBorderGlow.png")%>);
}
td.glowBoxFooterLeft {
  background-position:top right;
  background-repeat:no-repeat;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneFooterLeftBorderGlow.png")%>);
}
td.glowBoxFooterMid {
  background-position:top center;
  background-repeat:repeat-x;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneFooterMidBorderGlow.png")%>);
}
td.glowBoxFooterRight {
  background-position:top left;
  background-repeat:no-repeat;
  background-image:url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginPaneFooterRightBorderGlow.png")%>);
}

<%
// Style the table used to align the carbon background appropriatly
%>
table.carbonBox {
    left:0;
    right:0;
    width: 100%;
}
.carbonBoxTop {
    padding-top: 80px;
    background: black url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginCarbonFiberBgTop.gif")%>) no-repeat bottom center;
}
.carbonBoxBottom {
    text-align:center;
    padding-top: 10px;
    background: black url(<%=ClientInfoUtilities.getImageName(clientInfo, "../media/LoginCarbonFiberBgFooter.gif")%>) no-repeat bottom center;
}

<%
// Fix the width of feedback and login form
// so long text wraps correctly and they line up
%>
.loginTableMidWidth
{
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginGlowBoxWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginGlowBoxWidth")%>;
<%}%>
}
#feedbackArea
{
    margin:0;
    left:0;
    right:0;
    text-align:center;
}
p.feedbackStyleSuccess, p.feedbackStyleInfo, p.feedbackStyleWarning, p.feedbackStyleError
{
    margin:0;
    margin-bottom: 40px;
    left:0;
    right:0;
    max-width:none;
    text-align:left;
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginFeedbackWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginFeedbackWidth")%>;
<%}%>
}

<%
// Set the width of the useful and sysMessage DIV to be the width of the Login box
%>
#usefulPane
{
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginUsefulPaneWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginUsefulPaneWidth")%>;
<%}%>
}
#sysMessage
{
<% if (viewControl.allowedLogonModes().contains(AuthMethod.CERTIFICATE_SINGLE_SIGN_ON)){%>
    width: <%=wiContext.getString("LoginSysMessageWideWidth")%>;
<%}else{%>
    width: <%=wiContext.getString("LoginSysMessageWidth")%>;
<%}%>
    padding: 10px 0 10px 0;
}
-->
</style>
